> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useconquest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create activity

> Create an activity for a member



## OpenAPI

````yaml POST /v1/activities
openapi: 3.0.1
info:
  title: Conquest Documentation
  description: Conquest API Reference - Members
  version: 1.0.0
servers:
  - url: https://api.useconquest.com
security: []
paths:
  /v1/activities:
    post:
      description: Create an activity for a member
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - activityTypeKey
                - memberId
              properties:
                activityTypeKey:
                  type: string
                  description: Key of the activity type
                  example: api:message
                externalId:
                  type: string
                  description: External ID of the activity
                title:
                  type: string
                  description: Title of the activity
                message:
                  type: string
                  description: Message of the activity
                replyTo:
                  type: string
                  format: uuid
                  description: ID of the activity to reply to
                reactTo:
                  type: string
                  format: uuid
                  description: ID of the activity to react to
                inviteTo:
                  type: string
                  format: uuid
                  description: ID of the activity to invite to
                channelId:
                  type: string
                  format: uuid
                  description: ID of the channel
                eventId:
                  type: string
                  format: uuid
                  description: ID of the event
                memberId:
                  type: string
                  format: uuid
                  description: ID of the member
      responses:
        '200':
          description: Activity created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Activity'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '404':
          description: >-
            Not Found - Activity type, member, channel, event or referenced
            activity not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
      security:
        - bearerAuth: []
components:
  schemas:
    Activity:
      type: object
      properties:
        activity:
          type: object
          properties:
            id:
              type: string
              format: uuid
            externalId:
              type: string
            title:
              type: string
            message:
              type: string
            replyTo:
              type: string
            reactTo:
              type: string
            inviteTo:
              type: string
            source:
              type: string
              example: Api
            activityTypeId:
              type: string
              format: uuid
            channelId:
              type: string
              format: uuid
              nullable: true
            eventId:
              type: string
              format: uuid
              nullable: true
            memberId:
              type: string
              format: uuid
            workspaceId:
              type: string
              format: uuid
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
    error.BAD_REQUEST:
      type: object
      example:
        code: BAD_REQUEST
        error: Invalid request
    error.UNAUTHORIZED:
      type: object
      example:
        code: UNAUTHORIZED
        error: Authentication failed
    error.NOT_FOUND:
      type: object
      example:
        code: NOT_FOUND
        error: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````